### Function Macro

# Gtk widget_class_bind_template_child_private

#### Declaration [src]

    #define gtk_widget_class_bind_template_child_private (
      widget_class,
      TypeName,
      member_name
    )

#### Description [src]

Binds a child widget defined in a template to the `widget_class`.

This macro is a convenience wrapper around the `gtk_widget_class_bind_template_child_full()` function.

This macro will use the offset of the `member_name` inside the `TypeName` private data structure (it uses G_PRIVATE_OFFSET(), so the private struct must be added with G_ADD_PRIVATE()).

This function is not directly available to language bindings.

#### Parameters

`widget_class`

  Type: `-`

  A `GtkWidgetClass`.

`TypeName`

  Type: `-`

  The type name of this widget.

`member_name`

  Type: `-`

  Name of the instance private member in the private struct for `data_type`.